restinio::router::easy_parser_router::impl::router_entry_t< Extra_Data > Class Template Referenceabstract

An interface for one entry of easy_parser-based router. More...

`#include <easy_parser_router.hpp>`

Inheritance diagram for restinio::router::easy_parser_router::impl::router_entry_t< Extra_Data >:

## Public Types

using | actual_request_handle_t = generic_request_handle_t< Extra_Data >

## Public Member Functions

virtual | ~router_entry_t ()=default
virtual RESTINIO_NODISCARD expected_t< request_handling_status_t, no_match_t > | try_handle (const actual_request_handle_t &req, target_path_holder_t &target_path) const =0
| An attempt to match a request against the route. More...

## Detailed Description

template<typename Extra_Data>
class restinio::router::easy_parser_router::impl::router_entry_t< Extra_Data >

An interface for one entry of easy_parser-based router.

Template Parameters

  Extra_Data | The type of extra-data incorporated into a request object. This type is added to router_entry_t in v.0.6.13.

Since
  v.0.6.6

Definition at line 55 of file easy_parser_router.hpp.

## Member Typedef Documentation

## actual_request_handle_t

template<typename Extra_Data >

using restinio::router::easy_parser_router::impl::router_entry_t< Extra_Data >::actual_request_handle_t = generic_request_handle_t< Extra_Data >

Definition at line 58 of file easy_parser_router.hpp.

## Constructor & Destructor Documentation

## ~router_entry_t()

template<typename Extra_Data >

virtual restinio::router::easy_parser_router::impl::router_entry_t< Extra_Data >::~router_entry_t | ( |  | ) |

virtualdefault

## Member Function Documentation

## try_handle()

template<typename Extra_Data >

virtual RESTINIO_NODISCARD expected_t< request_handling_status_t, no_match_t > restinio::router::easy_parser_router::impl::router_entry_t< Extra_Data >::try_handle | ( | const actual_request_handle_t & | req,
|  | target_path_holder_t & | target_path
| ) |  | const

pure virtual

An attempt to match a request against the route.

If match successed the corresponding request handler is called and its return value is returned in form of request_handling_status_t value.

If match failed then an instance of no_match_t is returned.

Implemented in restinio::router::easy_parser_router::impl::actual_router_entry_t< Extra_Data, Producer, Handler >.

The documentation for this class was generated from the following file:

- restinio/router/easy_parser_router.hpp